com.ihr.xbrl.om.formula.filters

## Class XBRLFilterOrderToolImpl

- java.lang.Object
- - com.ihr.xbrl.om.formula.filters.XBRLFilterOrderToolImpl

- All Implemented Interfaces:
    XBRLFilterOrderTool, java.util.Comparator<XBRLFormulaFilter>

      public class XBRLFilterOrderToolImpl
      extends java.lang.Object
      implements XBRLFilterOrderTool

  This is the default implementation of the XBRLFilterOrderTool interface. This class name is the default value for the DTSContainer.FORMULA_PROCESSOR_FILTER_ORDER_CLASS property so in case nothing is indicated an instance of this class will be created by a formula processor in order properly define the order of evaluation of filters associated to a variable evaluation
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLFilterOrderToolImpl()` Instantiates a new XBRL filter order tool impl.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(XBRLFormulaFilter o1, XBRLFormulaFilter o2)`
    `int` | `getFilterWeight(java.lang.Class<? extends XBRLFormulaFilter> clazz)` Computes a value that will be used to order filters used in the evaluation of a fact variable.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Constructor Detail

    - #### XBRLFilterOrderToolImpl

          public XBRLFilterOrderToolImpl()

      Instantiates a new XBRL filter order tool impl.

  - ### Method Detail

    - #### compare

          public int compare(XBRLFormulaFilter o1,
                    XBRLFormulaFilter o2)

      Specified by:
        `compare` in interface `XBRLFilterOrderTool`
      Specified by:
        `compare` in interface `java.util.Comparator<XBRLFormulaFilter>`

    - #### getFilterWeight

          public int getFilterWeight(java.lang.Class<? extends XBRLFormulaFilter> clazz)

      Description copied from interface: `XBRLFilterOrderTool`
      Computes a value that will be used to order filters used in the evaluation of a fact variable.
      Specified by:
        `getFilterWeight` in interface `XBRLFilterOrderTool`
      Parameters:
        `clazz` - the clazz
      Returns:
        the filter weight